Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface SequenceAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface SequenceAdaptor
extends Adaptor

Provides access to Sequence in the datasource.

Field Summary
`static java.lang.String` | `TYPE` Name of the default SequenceAdaptor available from a driver.

Method Summary
`void` | `delete(long internalID)`
`void` | `delete(Sequence sequence)`
`Sequence` | `fetch(Location location)` Fetches sequence corresponding to location.
`Sequence` | `fetch(long internalID)`
`long` | `store(Sequence sequence)` Store the Sequence in data source.

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

  Name of the default SequenceAdaptor available from a driver.

  See Also:
    Constant Field Values

Method Detail

### fetch

    public Sequence fetch(Location location)
                   throws AdaptorException

  Fetches sequence corresponding to location.

  Parameters:
    `location` - location to retrieve sequence for, defaults to positive strand if sequence is unset.
  Returns:
    sequence corresponding to location, or null if location specified an invalid genomic region.
  Throws:
    `AdaptorException`

### fetch

    public Sequence fetch(long internalID)
                   throws AdaptorException

  Throws:
    `AdaptorException`

### delete

    public void delete(Sequence sequence)
                throws AdaptorException

  Throws:
    `AdaptorException`

### delete

    public void delete(long internalID)
                throws AdaptorException

  Throws:
    `AdaptorException`

### store

    public long store(Sequence sequence)
               throws AdaptorException

  Store the Sequence in data source.

  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD